# 🤝 Guía de Contribución – Proyecto Génesis (DevOps FJUni)

¡Gracias por tu interés en contribuir al Proyecto Génesis!  
Este repositorio es parte del ecosistema técnico de **FJUni**, y está diseñado para que jóvenes con visión colaboren, crezcan y desarrollen soluciones reales con propósito.

---

## ✅ Requisitos previos

Antes de contribuir, asegúrate de:

- Estar registrado en Gitea (https://gitea.keyanders.me)
- Tener conocimientos básicos de `Git` y manejo de ramas (branch)
- Leer el archivo `README.md` del proyecto
- Participar en el canal del proyecto o grupo asignado

---

## 🧭 ¿Cómo contribuir paso a paso?

1. **Busca un issue abierto**  
   Ve a la pestaña `Issues` y elige uno con etiqueta `help wanted`, `good first issue` o similar. Si no hay tareas disponibles, puedes sugerir una nueva.

2. **Comenta tu interés**  
   Escribe un comentario en el issue para que sepamos que estás trabajando en él.

3. **Haz un fork o clona el repositorio**  
   ```
   git clone https://gitea.keyanders.me/FJUni/proyecto-genesis.git
   ```

4. **Crea una rama con tu nombre y tarea**  
   ```
   git checkout -b nombre-usuario/nombre-de-la-tarea
   ```

5. **Realiza tus cambios localmente**

6. **Haz commit de tus cambios**  
   ```
   git commit -m "Agrega función X / Mejora el diseño Y"
   ```

7. **Haz push a tu rama**  
   ```
   git push origin nombre-usuario/nombre-de-la-tarea
   ```

8. **Crea un Pull Request**  
   Vuelve al repositorio en Gitea y solicita la revisión de tus cambios.

---

## 📌 Reglas y buenas prácticas

- Escribe código limpio y legible.
- Agrega comentarios donde sea necesario.
- No hagas push directo a la rama `main` o `master`.
- Siempre crea ramas nuevas para cada contribución.
- Respeta la estructura del proyecto y las carpetas establecidas.
- Sé respetuoso y colaborativo en los comentarios y revisiones.

---

## 👀 Revisión de código

El equipo de líderes técnicos de FJUni revisará los pull requests, dejará comentarios y aprobará los cambios si todo está correcto. En algunos casos, se puede pedir que ajustes tu código antes de aprobarlo.

---

## 🙌 ¡Gracias por ser parte de este proyecto!

Tu participación es clave para que este proyecto crezca con excelencia.

> "Aquí no solo escribimos código... sembramos futuro."

---

Para cualquier duda, contacta a los responsables en el canal del proyecto o en el foro de FJUni.
